using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using SuperMap.Desktop;
using Application = SuperMap.Desktop.Application;

namespace SuperMap.Desktop.Samples
{
    class CtrlActionGetType : CtrlAction
    {
        public CtrlActionGetType(IBaseItem caller)
            : base(caller)
        {
            FormSearch searchForm = Application.ActiveForm as FormSearch;
            searchForm.DataGrid.CellMouseClick += new DataGridViewCellMouseEventHandler(DataGrid_CellMouseClick);
        }

        void DataGrid_CellMouseClick(object sender, DataGridViewCellMouseEventArgs e)
        {
            try
            {
                if (e.RowIndex >= 0)
                {
                    //When you click the cells in the list, the text on the status bar will be changed correspondingly.
                    IBaseItem currentBaseItem = (Application.ActiveForm as FormSearch).CurrentBaseItem;
                    if (currentBaseItem.CtrlAction == null)
                    {
                        (this.Caller as ITextBox).Text = "No CtrlAction.";
                    }
                    else
                    {
                        (this.Caller as ITextBox).Text = "Current CtrlAction is: " + currentBaseItem.CtrlAction.GetType().ToString();
                    }
                }
            }
            catch (Exception ex)
            {
                SuperMap.Desktop.Application.ActiveApplication.Output.Output(ex.StackTrace, InfoType.Exception);
            }
        }

        override public void Run()
        {

        }
    }
}
