using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using SuperMap.Desktop;
using Application = SuperMap.Desktop.Application;

namespace SuperMap.Desktop.Samples
{
    class CtrlActionRun : CtrlAction
    {
        public CtrlActionRun(IBaseItem caller)
            : base(caller)
        {

        }
        override public void Run()
        {
            try
            {
                //Run the selected function
                IBaseItem currentBaseItem = (Application.ActiveForm as FormSearch).CurrentBaseItem;
                if (currentBaseItem.CtrlAction == null)
                {
                    MessageBox.Show("No CtrlAction. Running is not supported!");
                }
                else
                {
                    currentBaseItem.CtrlAction.Run();
                }
            }
            catch (Exception ex)
            {
                Application.ActiveApplication.Output.Output(ex.Message);
                Application.ActiveApplication.Output.Output(ex.StackTrace);
            }
        }

        public override bool Enable()
        {
            //return the available state of the right-click menue item
            IBaseItem currentBaseItem = (Application.ActiveForm as FormSearch).CurrentBaseItem;
            return currentBaseItem.CtrlAction.Enable();
        }
    }
}
